<template>
<div class="homepage">
  <my-upload field="images"
    @crop-success="cropSuccess"
    @crop-upload-success="cropUploadSuccess"
    @crop-upload-fail="cropUploadFail"
    v-model="show"
		:width="300"
		:height="300"
    :withCredentials="true"
		url="/api/upload/upload-image"
		:params="params"
		img-format="png"></my-upload>
	<img :src="imgDataUrl">
<el-form ref="form"  :model="form" name="form" label-width="80px" class="info1">

  <el-form-item label="头像" style="width: 70%;">
    <el-button type="primary" plain @click="toggleShow">上传图片</el-button>
  </el-form-item>

  <el-form-item label="用户名" style="width: 70%;">
    <el-input v-model="form.name"></el-input>
  </el-form-item>

  <el-form-item label="年级" style="width: 50%;">
    <el-select v-model="form.grade" placeholder="请选择年级">
      <el-option label="大一" value="大一"></el-option>
      <el-option label="大二" value="大二"></el-option>
      <el-option label="大三" value="大三"></el-option>
      <el-option label="大四" value="大四"></el-option>
    </el-select>
  </el-form-item>

  <el-form-item label="校区" style="width: 50%;">
    <el-select v-model="form.region" placeholder="请选择所属校区">
      <el-option label="同济大学四平路校区" value="四平路"></el-option>
      <el-option label="同济大学嘉定校区" value="嘉定"></el-option>
      <el-option label="同济大学沪西校区" value="沪西"></el-option>
      <el-option label="同济大学彰武路校区" value="彰武路"></el-option>
    </el-select>
  </el-form-item>

  <el-form-item label="个人简介">
    <el-input type="textarea" v-model="form.desc" style="width: 92%;"></el-input>
  </el-form-item>
  <el-form-item>
  </el-form-item>
</el-form>
  </div>
    </div>
</template>

<style scoped>
  .info1{
    margin-top:20px;
    text-align: left;
  } 
  .pic{
    text-align: left;
  }
  .upload-demo{
    margin-left:40px;
  }
  .upload-demo1{
    margin-top:20px;
    margin-left:13px;
  }
  .button1{
    margin-left:10px;
  }
  .button2{
    margin-left:10px;
  }
  .el-upload__tip{
    margin-left:42px;
  }
  .el-upload__tip1{
    margin-left:70px;
    font-size: 12px;
    margin-top:5px;
  }
</style>

<script>
import 'babel-polyfill';
import myUpload from 'vue-image-crop-upload/upload-2.vue';
export default {
  name:'student',
  data() {
    return {
      show: false,
      params: {
        name: 'test-account'
      },
      headers: {
        'Content-Type': 'multipart/form-data',
      },
      images: 'images',
      imgDataUrl: '',
      fileinput: '',
      // fileList,
      activeIndex: '1',
      activeIndex2: '1',
      showUsualCourseDialog: false,
      showPracticeCourseDialog: false,
      selectedCourseIndex: 0,
      form: {
        no:'',
        name: '',
        year: '',
        date: '',
        grade: '',
        region:'',
        email:'',
        desc: '',
        formInline: {
          user: '',
          region: ''
        },
      }
    };
  },
  props: { 
  },
  created() {
    console.log(this.$store.getters.getRole );
    // 请求的 URL 地址
    var url = '/api/user/info';
    // 请求的参数对象
    var paramsObj = { email: this.$store.getters.getEmail };
    // 调用 axios.get() 发起 GET 请求
    this.$axios.get(url, { params: paramsObj }).then(res=> {
      // res.data 是服务器返回的数据
      var result = res.data.data;
      this.form=result;
    });
  },
  mounted() {},
  methods: {
    onSubmit() {
      // console.log('submit!');
    },
    handleRemove(file, fileList) {
      // console.log(file, fileList);
    },
    handlePreview(file) {
      // console.log(file);
    },
    handleExceed(files, fileList) {
      this.$message.warning(`当前限制选择 3 个文件，本次选择了 ${files.length} 个文件，共选择了 ${files.length + fileList.length} 个文件`);
    },
    beforeRemove(file, fileList) {
      return this.$confirm(`确定移除 ${ file.name }？`);
    },
    toggleShow() {
      this.show = !this.show;
    },
    cropSuccess(imgDataUrl, field){
      console.log('-------- crop success --------');
      this.imgDataUrl = imgDataUrl;
    },
    cropUploadSuccess(jsonData, field){
      console.log('-------- upload success --------');
      console.log(jsonData);
      console.log('field: ' + field);
      this.$axios.post('/api/user/avatar', {
        email: this.$store.getters.getEmail,
        avatar: jsonData.data.url
      }).then(res=> {
        console.log(res);
        this.$message({
          message: '上传成功',
          type: 'success'
        });
      });
      this.$store.commit('setAvatar', jsonData.data.url);
    },
    cropUploadFail(status, field){
      console.log('-------- upload fail --------');
      console.log(status);
      console.log('field: ' + field);
    }
  },
  components: {
    myUpload
  },
};
</script>
